
<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>API Reference</title>

    <style>
      .highlight table td { padding: 5px; }
.highlight table pre { margin: 0; }
.highlight .gh {
  color: #999999;
}
.highlight .sr {
  color: #f6aa11;
}
.highlight .go {
  color: #888888;
}
.highlight .gp {
  color: #555555;
}
.highlight .gs {
}
.highlight .gu {
  color: #aaaaaa;
}
.highlight .nb {
  color: #f6aa11;
}
.highlight .cm {
  color: #75715e;
}
.highlight .cp {
  color: #75715e;
}
.highlight .c1 {
  color: #75715e;
}
.highlight .cs {
  color: #75715e;
}
.highlight .c, .highlight .cd {
  color: #75715e;
}
.highlight .err {
  color: #960050;
}
.highlight .gr {
  color: #960050;
}
.highlight .gt {
  color: #960050;
}
.highlight .gd {
  color: #49483e;
}
.highlight .gi {
  color: #49483e;
}
.highlight .ge {
  color: #49483e;
}
.highlight .kc {
  color: #66d9ef;
}
.highlight .kd {
  color: #66d9ef;
}
.highlight .kr {
  color: #66d9ef;
}
.highlight .no {
  color: #66d9ef;
}
.highlight .kt {
  color: #66d9ef;
}
.highlight .mf {
  color: #ae81ff;
}
.highlight .mh {
  color: #ae81ff;
}
.highlight .il {
  color: #ae81ff;
}
.highlight .mi {
  color: #ae81ff;
}
.highlight .mo {
  color: #ae81ff;
}
.highlight .m, .highlight .mb, .highlight .mx {
  color: #ae81ff;
}
.highlight .sc {
  color: #ae81ff;
}
.highlight .se {
  color: #ae81ff;
}
.highlight .ss {
  color: #ae81ff;
}
.highlight .sd {
  color: #e6db74;
}
.highlight .s2 {
  color: #e6db74;
}
.highlight .sb {
  color: #e6db74;
}
.highlight .sh {
  color: #e6db74;
}
.highlight .si {
  color: #e6db74;
}
.highlight .sx {
  color: #e6db74;
}
.highlight .s1 {
  color: #e6db74;
}
.highlight .s {
  color: #e6db74;
}
.highlight .na {
  color: #a6e22e;
}
.highlight .nc {
  color: #a6e22e;
}
.highlight .nd {
  color: #a6e22e;
}
.highlight .ne {
  color: #a6e22e;
}
.highlight .nf {
  color: #a6e22e;
}
.highlight .vc {
  color: #ffffff;
}
.highlight .nn {
  color: #ffffff;
}
.highlight .nl {
  color: #ffffff;
}
.highlight .ni {
  color: #ffffff;
}
.highlight .bp {
  color: #ffffff;
}
.highlight .vg {
  color: #ffffff;
}
.highlight .vi {
  color: #ffffff;
}
.highlight .nv {
  color: #ffffff;
}
.highlight .w {
  color: #ffffff;
}
.highlight {
  color: #ffffff;
}
.highlight .n, .highlight .py, .highlight .nx {
  color: #ffffff;
}
.highlight .ow {
  color: #f92672;
}
.highlight .nt {
  color: #f92672;
}
.highlight .k, .highlight .kv {
  color: #f92672;
}
.highlight .kn {
  color: #f92672;
}
.highlight .kp {
  color: #f92672;
}
.highlight .o {
  color: #f92672;
}
    </style>
    <link href="stylesheets/screen-fb8a7cbb.css" rel="stylesheet" media="screen" />
    <link href="stylesheets/print-be2b0924.css" rel="stylesheet" media="print" />
      <script src="javascripts/all-09a90f8f.js"></script>
  </head>

  <body class="index" data-languages="[]">
    <a href="#" id="nav-button">
      <span>
        NAV
        <img src="images/navbar-cad8cdcb.png" alt="Navbar" />
      </span>
    </a>
    <div class="toc-wrapper">
      <img src="images/logo-e3a80e77.png" class="logo" alt="Logo" />
        <div class="search">
          <input type="text" class="search" id="input-search" placeholder="Search">
        </div>
        <ul class="search-results"></ul>
      <ul id="toc" class="toc-list-h1">
          <li>
            <a href="#introduction" class="toc-h1 toc-link" data-title="Introduction">Introduction</a>
          </li>
          <li>
            <a href="#authentication" class="toc-h1 toc-link" data-title="Authentication">Authentication</a>
          </li>
          <li>
            <a href="#solution-contracts" class="toc-h1 toc-link" data-title="Solution Contracts">Solution Contracts</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#get-solution-contracts" class="toc-h2 toc-link" data-title="Get Solution Contracts">Get Solution Contracts</a>
                  </li>
                  <li>
                    <a href="#create-solution-contract" class="toc-h2 toc-link" data-title="Create Solution Contract">Create Solution Contract</a>
                  </li>
              </ul>
          </li>
          <li>
            <a href="#acceptance-services" class="toc-h1 toc-link" data-title="Acceptance Services">Acceptance Services</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#get-acceptance-services" class="toc-h2 toc-link" data-title="Get Acceptance Services">Get Acceptance Services</a>
                  </li>
                  <li>
                    <a href="#get-acceptance-service-by-id" class="toc-h2 toc-link" data-title="Get Acceptance Service by id">Get Acceptance Service by id</a>
                  </li>
              </ul>
          </li>
          <li>
            <a href="#applications" class="toc-h1 toc-link" data-title="Applications">Applications</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#get-applications" class="toc-h2 toc-link" data-title="Get Applications">Get Applications</a>
                  </li>
                  <li>
                    <a href="#get-application-by-id" class="toc-h2 toc-link" data-title="Get Application by id">Get Application by id</a>
                  </li>
              </ul>
          </li>
          <li>
            <a href="#fleets" class="toc-h1 toc-link" data-title="Fleets">Fleets</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#create-draft-fleets" class="toc-h2 toc-link" data-title="Create Draft Fleets">Create Draft Fleets</a>
                  </li>
                  <li>
                    <a href="#get-draft-fleet-by-id" class="toc-h2 toc-link" data-title="Get draft Fleet by id">Get draft Fleet by id</a>
                  </li>
                  <li>
                    <a href="#delete-a-draft-fleet" class="toc-h2 toc-link" data-title="Delete a draft Fleet">Delete a draft Fleet</a>
                  </li>
                  <li>
                    <a href="#get-draft-fleet-by-solution-contract" class="toc-h2 toc-link" data-title="Get Draft Fleet by Solution Contract">Get Draft Fleet by Solution Contract</a>
                  </li>
                  <li>
                    <a href="#update-acceptance-service-on-draft" class="toc-h2 toc-link" data-title="Update acceptance service on draft">Update acceptance service on draft</a>
                  </li>
                  <li>
                    <a href="#download-draft-fleet-csv" class="toc-h2 toc-link" data-title="Download draft Fleet CSV">Download draft Fleet CSV</a>
                  </li>
                  <li>
                    <a href="#get-committed-fleet" class="toc-h2 toc-link" data-title="Get Committed Fleet">Get Committed Fleet</a>
                  </li>
                  <li>
                    <a href="#commit-a-draft-fleet" class="toc-h2 toc-link" data-title="Commit a draft fleet">Commit a draft fleet</a>
                  </li>
                  <li>
                    <a href="#activate-a-poi-profile-at-fleet-level" class="toc-h2 toc-link" data-title="Activate a POI Profile at Fleet level">Activate a POI Profile at Fleet level</a>
                  </li>
                  <li>
                    <a href="#download-a-committed-fleet-csv-file" class="toc-h2 toc-link" data-title="Download a committed Fleet CSV file.">Download a committed Fleet CSV file.</a>
                  </li>
                  <li>
                    <a href="#get-committed-fleets" class="toc-h2 toc-link" data-title="Get Committed Fleets">Get Committed Fleets</a>
                  </li>
              </ul>
          </li>
          <li>
            <a href="#platforms" class="toc-h1 toc-link" data-title="Platforms">Platforms</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#get-platforms" class="toc-h2 toc-link" data-title="Get Platforms">Get Platforms</a>
                  </li>
                  <li>
                    <a href="#create-platforms" class="toc-h2 toc-link" data-title="Create Platforms">Create Platforms</a>
                  </li>
                  <li>
                    <a href="#get-platform-by-id" class="toc-h2 toc-link" data-title="Get Platform by id">Get Platform by id</a>
                  </li>
              </ul>
          </li>
          <li>
            <a href="#errors" class="toc-h1 toc-link" data-title="Errors">Errors</a>
          </li>
      </ul>
        <ul class="toc-footer">
            <li><a href='#'>@Natixis Beyond Banking</a></li>
        </ul>
    </div>
    <div class="page-wrapper">
      <div class="dark-box"></div>
      <div class="content">
        <h1 id='introduction'>Introduction</h1>
<p>Welcome to the Natixis TFM API Docs.</p>

<p>This project are being developer by Natixis Porto, so all API are under development and in constant change. For more information contact the responsible for the project.</p>
<h1 id='authentication'>Authentication</h1>
<blockquote>
<p>Authentication</p>
</blockquote>
<pre class="highlight shell tab-shell"><code><span class="c"># With shell, you can just pass the correct header with each request</span>
curl <span class="s2">"api_endpoint_here"</span>
  -H <span class="s2">"Authorization: todo"</span>
</code></pre>
<blockquote>
<p>Make sure to replace <code>todo</code> with your API key.</p>
</blockquote>

<p><code>Authorization: todo</code></p>

<aside class="notice">
You must replace <code>todo</code> with your personal API key.
</aside>
<h1 id='solution-contracts'>Solution Contracts</h1><h2 id='get-solution-contracts'>Get Solution Contracts</h2>
<blockquote>
<p>Get Solution Contracts</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/solution-contract <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
  </span><span class="p">{</span><span class="w">
    </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"a87cabde-2e97-4f17-a00b-145f68ba3369"</span><span class="p">,</span><span class="w">
    </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"solutionzumw52"</span><span class="w">
  </span><span class="p">},</span><span class="w">
  </span><span class="p">{</span><span class="w">
    </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"341d825a-e9e5-478a-95c7-d2a7f284ccb7"</span><span class="p">,</span><span class="w">
    </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"solutionzkql59"</span><span class="w">
  </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves all solution contracts.</p>
<h3 id='http-request'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/solution-contract</code></p>
<h2 id='create-solution-contract'>Create Solution Contract</h2>
<blockquote>
<p>Create Solution Contract </p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/solution-contract <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
  --header <span class="s1">'Content-Type: application/json'</span> <span class="se">\</span>
  --header <span class="s1">'Content-Type: text/plain'</span> <span class="se">\</span>
  --data @- <span class="sh">&lt;&lt; EOF

{
    "initialPartyId": "10000000000",
    "solutionContractName": "solutionName",
    "note": "note"
}

EOF
</span></code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
  </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"adf246aa-e2b4-4ad4-be2a-52717e7727b2"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="s2">"2020-03-23T20:08:48.273"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"createdBy"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MOCKED-MTA-USER"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"solutionName"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"initialPartyId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"10000000000"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="s2">"note"</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint is used to create a new solution contract.</p>
<h3 id='http-request-2'>HTTP Request</h3>
<p><code>POST  http://35.204.184.76/solution-contract</code></p>
<h1 id='acceptance-services'>Acceptance Services</h1><h2 id='get-acceptance-services'>Get Acceptance Services</h2>
<blockquote>
<p>Get Acceptance Services</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/solution-contract <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
        </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w">
        </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
            </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"array"</span><span class="p">,</span><span class="w">
                </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant ID"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Category Code"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"digitString"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Name and Location"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">70</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">}</span><span class="w">
            </span><span class="p">}</span><span class="w">
        </span><span class="p">}</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MASTERCARD"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
        </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="p">,</span><span class="w">
        </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
            </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"array"</span><span class="p">,</span><span class="w">
                </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant ID"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Category Code"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"digitString"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Name and Location"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">70</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">}</span><span class="w">
            </span><span class="p">}</span><span class="w">
        </span><span class="p">}</span><span class="w">
    </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves all acceptance services.</p>
<h3 id='http-request-3'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/acceptance-services</code></p>
<h2 id='get-acceptance-service-by-id'>Get Acceptance Service by id</h2>
<blockquote>
<p>Get Acceptance Services</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/acceptance-services/VISA <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
        </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w">
        </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
            </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"array"</span><span class="p">,</span><span class="w">
                </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant ID"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">15</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Category Code"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"digitString"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">},</span><span class="w">
                </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"label"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Merchant Name and Location"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"type"</span><span class="p">:</span><span class="w"> </span><span class="s2">"string"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"min"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"max"</span><span class="p">:</span><span class="w"> </span><span class="mi">70</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"required"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="w">
                </span><span class="p">}</span><span class="w">
            </span><span class="p">}</span><span class="w">
        </span><span class="p">}</span><span class="w">
    </span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves acceptance service by id.</p>
<h3 id='http-request-4'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/acceptance-services/:id</code></p>
<h3 id='url-parameters'>URL Parameters</h3>
<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>The id of the Acceptance Service.</td>
</tr>
</tbody></table>
<h1 id='applications'>Applications</h1><h2 id='get-applications'>Get Applications</h2>
<blockquote>
<p>Get Applications</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/applications <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
        </span><span class="s2">"applicationName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"nexo Payment Application"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"NEXOPAYMENT"</span><span class="w">
    </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves all applications.</p>
<h3 id='http-request-5'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/applications</code></p>
<h2 id='get-application-by-id'>Get Application by id</h2>
<blockquote>
<p>Get Application by id</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/applications/NEXOPAYMENT <span class="se">\</span>
  -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
        </span><span class="s2">"applicationName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"nexo Payment Application"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"NEXOPAYMENT"</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves an application by id.</p>
<h3 id='http-request-6'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/applications/:id</code></p>
<h3 id='url-parameters-2'>URL Parameters</h3>
<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>The id of the Application.</td>
<td>true</td>
</tr>
</tbody></table>
<h1 id='fleets'>Fleets</h1><h2 id='create-draft-fleets'>Create Draft Fleets</h2>
<blockquote>
<p>Create draft Fleet</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/fleets/draft <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: application/json'</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: text/plain'</span> <span class="se">\</span>
    --data @- <span class="sh">&lt;&lt; EOF

{
    "solutionContractName":"ST",
    "fleetName":"fleetName",
    "note":null
}
EOF
</span></code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
  </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="s2">"5e947fb568363d0001efb914"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"fleetName"</span><span class="p">:</span><span class="s2">"fleetName"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"status"</span><span class="p">:</span><span class="s2">"DRAFT"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"acceptanceServices"</span><span class="p">:[],</span><span class="w">
  </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="s2">"ST"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"note"</span><span class="p">:</span><span class="kc">null</span><span class="p">,</span><span class="w">
  </span><span class="s2">"draftStoreGroups"</span><span class="p">:[]</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint is use to create a draft fleet.</p>
<h3 id='http-request-7'>HTTP Request</h3>
<p><code>POST http://35.204.184.76/fleets/draft</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>solutionContractName</td>
<td>Solution contract for the fleet</td>
<td>true</td>
</tr>
<tr>
<td>fleetName</td>
<td>The name of the draft fleet</td>
<td>true</td>
</tr>
<tr>
<td>status</td>
<td>Status of the fleet</td>
<td>true</td>
</tr>
<tr>
<td>acceptanceServices</td>
<td>list of acceptance services of the fleet</td>
<td>false</td>
</tr>
<tr>
<td>draftStoreGroups</td>
<td>List of store groups for the fleet</td>
<td>false</td>
</tr>
<tr>
<td>note</td>
<td>Note of the fleet</td>
<td>false</td>
</tr>
</tbody></table>
<h2 id='get-draft-fleet-by-id'>Get draft Fleet by id</h2>
<blockquote>
<p>Get draft Fleet by id</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/fleets/draft/5e947fb568363d0001efb914 <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
  </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e72957ba430a00001118087"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"fleetName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"FLEETNAMES"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"status"</span><span class="p">:</span><span class="w"> </span><span class="s2">"DRAFT"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"AMEX-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">false</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">5</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MC-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"CB-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">false</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">3</span><span class="w">
    </span><span class="p">}</span><span class="w">
  </span><span class="p">],</span><span class="w">
  </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"SOLUTION"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="s2">"note"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"draftStoreGroups"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves the information of draft fleet by id.</p>
<h3 id='http-request-8'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/fleets/draft/:id</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a draft fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='delete-a-draft-fleet'>Delete a draft Fleet</h2>
<blockquote>
<p>Delete a draft Fleet</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X DELETE http://35.204.184.76/fleets/draft/5e72957ba430a00001118087 <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="mi">204</span><span class="w"> </span><span class="s2">"NO_CONTENT"</span><span class="w">
</span></code></pre>
<p>This Endpoint is used to delete a draft fleet.</p>
<h3 id='http-request-9'>HTTP Request</h3>
<p><code>DELETE http://35.204.184.76/fleets/draft/:id</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a draft Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='get-draft-fleet-by-solution-contract'>Get Draft Fleet by Solution Contract</h2>
<blockquote>
<p>Get Draft Fleet by Solution Contract Name</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/fleets/draft/ST/contract <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
        </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e947fb568363d0001efb914"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"fleetName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"fleetName"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
        </span><span class="s2">"status"</span><span class="p">:</span><span class="w"> </span><span class="s2">"DRAFT"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[],</span><span class="w">
        </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"ST"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
        </span><span class="s2">"draftStoreGroups"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
    </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves the information of draft fleet by id.</p>
<h3 id='http-request-10'>HTTP Request</h3>
<p><code>POST http://35.204.184.76/fleets/draft/:solutionName/contract</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>solutionName</td>
<td>Solution contract name</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='update-acceptance-service-on-draft'>Update acceptance service on draft</h2>
<blockquote>
<p>Update acceptance service on draft</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X PATCH http://35.204.184.76/fleets/draft/5e947fb568363d0001efb914/acceptance-services <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: application/json'</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: text/plain'</span> <span class="se">\</span>
    --data @- <span class="sh">&lt;&lt; EOF

    [
        {
            "id": "&lt;string&gt;"
        },
        {
            "id": "&lt;string&gt;"
        }
    ]
EOF
</span></code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="mi">204</span><span class="w"> </span><span class="s2">"NO_CONTENT"</span><span class="w">
</span></code></pre>
<p>This endpoint is used to update the acceptance services of a draft fleet.</p>
<h3 id='http-request-11'>HTTP Request</h3>
<p><code>PATCH http://35.204.184.76/fleets/draft/:id/acceptance-services</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a draft fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='download-draft-fleet-csv'>Download draft Fleet CSV</h2>
<blockquote>
<p>Download draft Fleet CSV</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/fleets/draft/5e72957ba430a00001118087/dowbload.csv <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="mi">200</span><span class="w"> 
</span></code></pre>
<p>This endpoint retrieves is use to download the CSV file of a draft fleet.</p>
<h3 id='http-request-12'>HTTP Request</h3>
<p><code>DELETE http://35.204.184.76/fleets/draft/:id/download.csv</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a draft Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='get-committed-fleet'>Get Committed Fleet</h2>
<blockquote>
<p>Get Committed Fleet</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/fleets/5e72957ba430a00001118087 <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
  </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e5e2c851b6e3d000119e951"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="s2">"2020-03-03T10:08:19.03"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"createdBy"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MOCKED-MTA-USER"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"fleetName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"fleetName-irnn99"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"status"</span><span class="p">:</span><span class="w"> </span><span class="s2">"COMMITED"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MC-AS"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
      </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">
    </span><span class="p">}</span><span class="w">
  </span><span class="p">],</span><span class="w">
  </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"solutionzumw52"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="s2">"note-hqlf93"</span><span class="p">,</span><span class="w">
  </span><span class="s2">"storeGroups"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"c7e48ab0-caa1-4fd7-9fda-6e17bcce554a"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"storeGroupName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"storeGroupNamegfje51"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"stores"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
        </span><span class="p">{</span><span class="w">
          </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"b3bc5d8f-7fb6-4da0-8604-d2df3478b29c"</span><span class="p">,</span><span class="w">
          </span><span class="s2">"storeName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"storerrs"</span><span class="p">,</span><span class="w">
          </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
          </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
          </span><span class="s2">"createdBy"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
          </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
            </span><span class="p">{</span><span class="w">
              </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA-AS"</span><span class="p">,</span><span class="w">
              </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
              </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                  </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"merchantIdg2875"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1730"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="s2">"sjvkDetroit"</span><span class="w">
                  </span><span class="p">}</span><span class="w">
                </span><span class="p">]</span><span class="w">
              </span><span class="p">},</span><span class="w">
              </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
            </span><span class="p">},</span><span class="w">
            </span><span class="p">{</span><span class="w">
              </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MC-AS"</span><span class="p">,</span><span class="w">
              </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
              </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                  </span><span class="p">{</span><span class="w">
                    </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"merchantIdg2875"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1730"</span><span class="p">,</span><span class="w">
                    </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="s2">"sjvkDetroit"</span><span class="w">
                  </span><span class="p">}</span><span class="w">
                </span><span class="p">]</span><span class="w">
              </span><span class="p">},</span><span class="w">
              </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">
            </span><span class="p">}</span><span class="w">
          </span><span class="p">],</span><span class="w">
          </span><span class="s2">"poiRepresentation"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
            </span><span class="p">{</span><span class="w">
              </span><span class="s2">"poiId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1000000000000001"</span><span class="p">,</span><span class="w">
              </span><span class="s2">"terminalId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"10000001"</span><span class="p">,</span><span class="w">
              </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"merchantIdg2875"</span><span class="w">
            </span><span class="p">}</span><span class="w">
          </span><span class="p">]</span><span class="w">
        </span><span class="p">}</span><span class="w">
      </span><span class="p">],</span><span class="w">
      </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="w">
    </span><span class="p">}</span><span class="w">
  </span><span class="p">],</span><span class="w">
  </span><span class="s2">"poiProfiles"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e5e2c9b31e55e00010134cb"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"profileName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"poiProfile-13096"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e5e2c851b6e3d000119e951"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"selectors"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
    </span><span class="p">},</span><span class="w">
    </span><span class="p">{</span><span class="w">
      </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e5e2c9b31e55e00010134cb"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"profileName"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
      </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e5e2c851b6e3d000119e951"</span><span class="p">,</span><span class="w">
      </span><span class="s2">"selectors"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
    </span><span class="p">}</span><span class="w">
  </span><span class="p">],</span><span class="w">
  </span><span class="s2">"activePoiProfile"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves a fleet committed fleet by id.</p>
<h3 id='http-request-13'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/fleets/:id</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a committed Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='commit-a-draft-fleet'>Commit a draft fleet</h2>
<blockquote>
<p>Commit a draft fleet</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/fleets/5e5e2c851b6e3d000119e951/active-poi-profile <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="mi">204</span><span class="w"> </span><span class="s2">"NO_CONTENT"</span><span class="w">
</span></code></pre>
<p>This endpoint is use to commit a draft Fleet.</p>
<h3 id='http-request-14'>HTTP Request</h3>
<p><code>POST http://35.204.184.76/fleets/:id</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a draft Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='activate-a-poi-profile-at-fleet-level'>Activate a POI Profile at Fleet level</h2>
<blockquote>
<p>Activate a POI Profile at Fleet level</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X PATCH http://35.204.184.76/fleets/5e5e2c851b6e3d000119e951/active-poi-profile <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: application/json'</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: text/plain'</span> <span class="se">\</span>
    --data @- <span class="sh">&lt;&lt; EOF
    {
        "poiProfileId": "5e7299a922e95700014b3b6e"
    }
EOF
</span></code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves a fleet committed fleet by id.</p>
<h3 id='http-request-15'>HTTP Request</h3>
<p><code>PATCH http://35.204.184.76/fleets/:id/active-poi-profile</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a committed Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='download-a-committed-fleet-csv-file'>Download a committed Fleet CSV file.</h2>
<blockquote>
<p>Download a fleet CSV file.</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X PATCH http://35.204.184.76/fleets/5e5e2c851b6e3d000119e951/download.csv <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="mi">204</span><span class="w"> </span><span class="s2">"NO_CONTEN"</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves is use to download the CSV file of a fleet.</p>
<h3 id='http-request-16'>HTTP Request</h3>
<p><code>PATCH http://35.204.184.76/fleets/:id/download.csv</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of a committed Fleet</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='get-committed-fleets'>Get Committed Fleets</h2>
<blockquote>
<p>Get Fleets</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl --request GET <span class="s1">'http://35.204.184.76/fleets'</span>
  -H <span class="s2">"Authorization: todo"</span>
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
   </span><span class="p">{</span><span class="w">
           </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e7c7f6028fd5d0001b3cc1c"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="s2">"2020-03-26T10:09:37.485"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"createdBy"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MOCKED-MTA-USER"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"fleetName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"fleetName-cfbt79"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"status"</span><span class="p">:</span><span class="w"> </span><span class="s2">"COMMITED"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
               </span><span class="p">{</span><span class="w">
                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
               </span><span class="p">},</span><span class="w">
               </span><span class="p">{</span><span class="w">
                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MASTERCARD"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">
               </span><span class="p">}</span><span class="w">
           </span><span class="p">],</span><span class="w">
           </span><span class="s2">"solutionContractName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"solutioncsto82"</span><span class="p">,</span><span class="w">
           </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
           </span><span class="s2">"storeGroups"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
               </span><span class="p">{</span><span class="w">
                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"fd753936-7eb2-454b-8705-1faa51a1e477"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"storeGroupName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Kyler Macejkovic"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"stores"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                       </span><span class="p">{</span><span class="w">
                           </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"f1001167-a108-4033-859a-df4473302aa7"</span><span class="p">,</span><span class="w">
                           </span><span class="s2">"storeName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"store54ry"</span><span class="p">,</span><span class="w">
                           </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
                           </span><span class="s2">"createdAt"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
                           </span><span class="s2">"createdBy"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="p">,</span><span class="w">
                           </span><span class="s2">"acceptanceServices"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                               </span><span class="p">{</span><span class="w">
                                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"MASTERCARD"</span><span class="p">,</span><span class="w">
                                   </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                                   </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                                       </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                                           </span><span class="p">{</span><span class="w">
                                               </span><span class="s2">"selector"</span><span class="p">:</span><span class="w"> </span><span class="s2">""</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"888888888888888"</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1234"</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="s2">"teste"</span><span class="w">
                                           </span><span class="p">}</span><span class="w">
                                       </span><span class="p">]</span><span class="w">
                                   </span><span class="p">},</span><span class="w">
                                   </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">2</span><span class="w">
                               </span><span class="p">},</span><span class="w">
                               </span><span class="p">{</span><span class="w">
                                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"VISA"</span><span class="p">,</span><span class="w">
                                   </span><span class="s2">"mandatory"</span><span class="p">:</span><span class="w"> </span><span class="kc">true</span><span class="p">,</span><span class="w">
                                   </span><span class="s2">"params"</span><span class="p">:</span><span class="w"> </span><span class="p">{</span><span class="w">
                                       </span><span class="s2">"merchantData"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
                                           </span><span class="p">{</span><span class="w">
                                               </span><span class="s2">"selector"</span><span class="p">:</span><span class="w"> </span><span class="s2">""</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"333333333333333"</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantCategoryCode"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1234"</span><span class="p">,</span><span class="w">
                                               </span><span class="s2">"merchantNameAndLocation"</span><span class="p">:</span><span class="w"> </span><span class="s2">"1"</span><span class="w">
                                           </span><span class="p">}</span><span class="w">
                                       </span><span class="p">]</span><span class="w">
                                   </span><span class="p">},</span><span class="w">
                                   </span><span class="s2">"priority"</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="w">
                               </span><span class="p">}</span><span class="w">
                           </span><span class="p">],</span><span class="w">
                           </span><span class="s2">"poiRepresentation"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
                       </span><span class="p">}</span><span class="w">
                   </span><span class="p">],</span><span class="w">
                   </span><span class="s2">"note"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="w">
               </span><span class="p">}</span><span class="w">
           </span><span class="p">],</span><span class="w">
           </span><span class="s2">"poiProfiles"</span><span class="p">:</span><span class="w"> </span><span class="p">[</span><span class="w">
               </span><span class="p">{</span><span class="w">
                   </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e87b18022dbd50001f5fe26"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"profileName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"AGAdoudoduoduuuuuuuuuu"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"fleetId"</span><span class="p">:</span><span class="w"> </span><span class="s2">"5e7c7f6028fd5d0001b3cc1c"</span><span class="p">,</span><span class="w">
                   </span><span class="s2">"selectors"</span><span class="p">:</span><span class="w"> </span><span class="p">[]</span><span class="w">
               </span><span class="p">}</span><span class="w">
           </span><span class="p">],</span><span class="w">
           </span><span class="s2">"activePoiProfile"</span><span class="p">:</span><span class="w"> </span><span class="kc">null</span><span class="w">
   </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves all committed fleets.</p>
<h3 id='http-request-17'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/fleets</code></p>
<h1 id='platforms'>Platforms</h1><h2 id='get-platforms'>Get Platforms</h2>
<blockquote>
<p>Create draft Fleet</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X GET http://35.204.184.76/platforms <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">[</span><span class="w">
    </span><span class="p">{</span><span class="w">
        </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"PAXPROLIN"</span><span class="p">,</span><span class="w">
        </span><span class="s2">"platformName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Pax Prolin 2.4"</span><span class="w">
    </span><span class="p">}</span><span class="w">
</span><span class="p">]</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves all platforms.</p>
<h3 id='http-request-18'>HTTP Request</h3>
<p><code>GET http://35.204.184.76/platforms</code></p>
<h2 id='create-platforms'>Create Platforms</h2>
<blockquote>
<p>Create Platforms</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/platforms <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: application/json'</span> <span class="se">\</span>
    --header <span class="s1">'Content-Type: text/plain'</span> <span class="se">\</span>
    --data @- <span class="sh">&lt;&lt; EOF
{
    "id": "PAXPROLIN",
    "platformName": "Pax Prolin 2.4"
}
EOF
</span></code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
    </span><span class="s2">"platformName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Pax Prolin 2.4"</span><span class="p">,</span><span class="w">
    </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"PAXPROLIN"</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint is used to create a platform.</p>
<h3 id='http-request-19'>HTTP Request</h3>
<p><code>POST http://35.204.184.76/platforms</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of the Platform</td>
<td>true</td>
</tr>
<tr>
<td>platformName</td>
<td>Name of the Platform</td>
<td>true</td>
</tr>
</tbody></table>
<h2 id='get-platform-by-id'>Get Platform by id</h2>
<blockquote>
<p>Get Platform by id</p>
</blockquote>
<pre class="highlight shell tab-shell"><code>curl -X POST http://35.204.184.76/platforms/PAXPROLIN <span class="se">\</span>
    -H <span class="s2">"Authorization: Bearer &lt;your access token&gt;"</span> 
</code></pre>
<blockquote>
<p>Response</p>
</blockquote>
<pre class="highlight json tab-json"><code><span class="p">{</span><span class="w">
    </span><span class="s2">"platformName"</span><span class="p">:</span><span class="w"> </span><span class="s2">"Pax Prolin 2.4"</span><span class="p">,</span><span class="w">
    </span><span class="s2">"id"</span><span class="p">:</span><span class="w"> </span><span class="s2">"PAXPROLIN"</span><span class="w">
</span><span class="p">}</span><span class="w">
</span></code></pre>
<p>This endpoint retrieves a platform by id.</p>
<h3 id='http-request-20'>HTTP Request</h3>
<p><code>POST http://35.204.184.76/platforms/:id</code></p>

<table><thead>
<tr>
<th>Parameter</th>
<th>Description</th>
<th>Required</th>
</tr>
</thead><tbody>
<tr>
<td>id</td>
<td>id of the Platform</td>
<td>true</td>
</tr>
</tbody></table>
<h1 id='errors'>Errors</h1>
<p>The TFM API uses the following error codes:</p>

<table><thead>
<tr>
<th>Error Code</th>
<th>Meaning</th>
</tr>
</thead><tbody>
<tr>
<td>400</td>
<td>Bad Request -- Your request is invalid.</td>
</tr>
<tr>
<td>401</td>
<td>Unauthorized -- Your API key is wrong.</td>
</tr>
<tr>
<td>403</td>
<td>Forbidden -- The kitten requested is hidden for administrators only.</td>
</tr>
<tr>
<td>404</td>
<td>Not Found -- The specified object could not be found.</td>
</tr>
<tr>
<td>405</td>
<td>Method Not Allowed -- You tried to access a object with an invalid method.</td>
</tr>
<tr>
<td>406</td>
<td>Not Acceptable -- You requested a format that isn&#39;t json.</td>
</tr>
<tr>
<td>410</td>
<td>Gone -- The object requested has been removed from our servers.</td>
</tr>
<tr>
<td>418</td>
<td>I&#39;m a teapot.</td>
</tr>
<tr>
<td>429</td>
<td>Too Many Requests -- You&#39;re requesting too many object! Slow down!</td>
</tr>
<tr>
<td>500</td>
<td>Internal Server Error -- We had a problem with our server. Try again later.</td>
</tr>
<tr>
<td>503</td>
<td>Service Unavailable -- We&#39;re temporarily offline for maintenance. Please try again later.</td>
</tr>
</tbody></table>

      </div>
      <div class="dark-box">
      </div>
    </div>
  </body>
</html>
